package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.HospitalInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.vo.HospitalCheckVO;
import com.diagbot.vo.HospitalInfoVO;
import org.springframework.stereotype.Component;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-07-29 11:08
 */
@Component
public class HospitalInfoFacade extends HospitalInfoServiceImpl {

    /**
     * @param hospitalInfoVO
     * @return
     */
    public HospitalInfoDTO getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
        QueryWrapper<HospitalInfo> queryWrapper = new QueryWrapper<HospitalInfo>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("code", hospitalInfoVO.getCode());
        HospitalInfo datas = this.getOne(queryWrapper, false);
        HospitalInfoDTO data = new HospitalInfoDTO();
        BeanUtil.copyProperties(datas, data);
        return data;
    }

    public Boolean checkHospital(HospitalCheckVO hospitalCheckVO) {
        QueryWrapper<HospitalInfo> queryWrapper = new QueryWrapper<HospitalInfo>();
        queryWrapper.eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq("id", hospitalCheckVO.getHospitalId());
        if (this.count(queryWrapper) > 0) {
            return true;
        }
        return false;
    }
}